Переполнение буфера при обработке некоторых команд в Ipswitch WS_FTP Server

Дата публикации:
19.09.2006
Дата изменения:
02.11.2007
Всего просмотров:
1430
Опасность:
Средняя
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-4847
CVE-2006-5000
CVE-2006-5001
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
WS_FTP Server 5.x
Уязвимые версии: Ipswitch WS_FTP Server 5.05, возможно более ранние версии.

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных при обработке аргументов, передаваемых командам "XCRC", "XSHA1" и "XMD5". Удаленный пользователь может с помощью слишком длинного аргумента команды вызвать переполнение стека и выполнить произвольный код на целевой системе.

URL производителя: www.ipswitch.com/products/ws_ftp-server/

Решение: Установите исправление с сайта производителя.

Ссылки: WS_FTP Server 5.05 Hotfix 1
IPSwitch WS-FTP 5.05 (XMD5) Remote Buffer Overflow Exploit (meta)
Ipswitch WS_FTP 5.05 Server Manager Local Site Buffer Overflow Exploit

или введите имя

CAPTCHA